Master = Class{}

function Master:__init()
	local i, j

	--load level
	local level_data = love.image.newImageData('level/world.png')
	for i = 1, level_data:getWidth() do
		for j = 1, level_data:getHeight() do
			local r, g, b, a = level_data:getPixel(i - 1, j - 1)
			if r == 0 and g == 0 and b == 0 and a == 255 then
				table.insert(gameplay.instance, Block(gameplay.block_size * (i - 1), gameplay.block_size * (j - 1)))
			elseif r == 255 and g == 255 and b == 255 and a == 255 then
				table.insert(gameplay.instance, Player(gameplay.block_size * (i - 1), gameplay.block_size * (j - 1)))
			elseif r == 0 and g == 255 and b == 0 and a == 255 then
				table.insert(gameplay.instance, Spawn(gameplay.block_size * (i - 1), gameplay.block_size * (j - 1)))
			elseif r == 255 and g == 0 and b == 0 and a == 255 then
				table.insert(gameplay.instance, Hazard(gameplay.block_size * (i - 1), gameplay.block_size * (j - 1)))
			elseif r == 255 and g == 106 and b == 0 and a == 255 then
				table.insert(gameplay.instance, Enemy(gameplay.block_size * (i - 1), gameplay.block_size * (j - 1)))
			end
		end
	end
	gameplay.level_width = level_data:getWidth() * gameplay.block_size
	gameplay.level_height = level_data:getHeight() * gameplay.block_size
end